### Virtual Method

# Gtk.TreeSortable.get_sort_column_id

#### Declaration [src]

    gboolean
    get_sort_column_id (
      GtkTreeSortable* sortable,
      int* sort_column_id,
      GtkSortType* order
    )

#### Description [src]

Fills in `sort_column_id` and `order` with the current sort column and the order. It returns `TRUE` unless the `sort_column_id` is `GTK_TREE_SORTABLE_DEFAULT_SORT_COLUMN_ID` or `GTK_TREE_SORTABLE_UNSORTED_SORT_COLUMN_ID`.

#### Parameters

`sort_column_id` | `int*`
| The sort column id to be filled in
| Direction: out
| Ownership of the data is transferred to the callee
`order` | `GtkSortType`
| The `GtkSortType` to be filled in
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if the sort column is not one of the special sort column ids.